Multiple CSRF and XSS vulnerabilities in ADSL modem Callisto 821+

2011-07-18T00:00:00
ID SECURITYVULNS:DOC:26652
Type securityvulns
Reporter Securityvulns
Modified 2011-07-18T00:00:00

Description

Hello 3APA3A!

I want to warn you about new multiple security vulnerabilities in ADSL modem Callisto 821+ (SI2000 Callisto821+ Router).

These are Cross-Site Request Forgery and Cross-Site Scripting vulnerabilities. In April I've already drew attention of Ukrtelecom's representative (and this modem was bough at Ukrtelecom) about multiple vulnerabilities in this model of Callisto modems (and other models also could be affected).

These attacks should be conducted on modem owner, which is logged into control panel. Taking into account that it's unlikely to catch him in this state, then it's possible to use before-mentioned vulnerabilities (http://websecurity.com.ua/5161/) for conducting of remote login (for logining him into control panel). After that it's possible to conduct CSRF or XSS attack.

CSRF (WASC-09):

This vulnerability allows to clear event logs.

http://websecurity.com.ua/uploads/2011/Callisto%20821+%20CSRF15.html

XSS (WASC-08):

http://192.168.1.1/system/events.html?%22%3E%3Cscript%3Ealert(document.cookie)%3C/script%3E

XSS (persistent) (WASC-08):

POST request at page http://192.168.1.1/system/events.html. It's needed to set XSS code in the name of parameter (after dot). Vulnerable are the next parameters: EmWeb_ns:vim:2., EmWeb_ns:vim:7., EmWeb_ns:vim:11., EmWeb_ns:vim:12., EmWeb_ns:vim:13., EmWeb_ns:vim:14., EmWeb_ns:vim:15.

In this case the code will be executed immediately, and also at visiting of pages http://192.168.1.1/system/events.html and http://192.168.1.1/shared/event_log_selection.html.

To such persistent XSS vulnerability via the name of parameter is vulnerable almost all functionality of admin panel (that one which works via POST). I've already wrote earlier about some of similar holes via arbitrary parameters in other sections of admin panel.

Vulnerable is the next model: SI2000 Callisto821+ Router: X7821 Annex A v1.0.0.0 / Argon 4x1 CSP v1.0 (ISOS 9.0) [4.3.4-5.1]. This model with other firmware and also other models of Callisto also must be vulnerable.

I mentioned about these vulnerabilities at my site (http://websecurity.com.ua/5277/).

Best wishes & regards, MustLive Administrator of Websecurity web site http://websecurity.com.ua